# $Revision: 1.13 $, $Date: 2009/10/20 05:01:39 $
Summary:	xwd application - dump an image of an X window
Summary(pl.UTF-8):	Aplikacja xwd - zrzut obrazu okna X
Name:		xorg-app-xwd
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xwd-%{version}.tar.bz2
# Source0-md5:	007cea1f389abde5c93162dcd5541351
Source1:	xwd.1x.pl
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xwd application is an X Window System window dumping utility. It
allows X users to store window images in a specially formatted dump
file. This file can then be read by various other X utilities for
redisplay, printing, editing, formatting, archiving, image processing,
etc. The target window is selected by clicking the pointer in the
desired window.

%description -l pl.UTF-8
Aplikacja xwd to narzędzie do wykonywania zrzutów okien X Window
System. Umożliwia użytkownikom zapisywanie obrazów okien w plikach o
specjalnym formacie, które później mogą być czytane przez różne inne
narzędzia X do wyświetlania, drukowania, edycji, formatowania,
archiwizacji, przetwarzania itp. Wyboru okna dokonuje się klikając na
nim kursorem.

%prep
%setup -q -n xwd-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/xwd.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xwd
%{_mandir}/man1/xwd.1x*
%lang(pl) %{_mandir}/pl/man1/xwd.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xwd.spec,v $
Revision 1.13  2009/10/20 05:01:39  qboosh
- updated to 1.0.3
- xmuu seems no longer used

Revision 1.12  2008/07/09 17:47:20  qboosh
- updated to 1.0.2
- informative descs

Revision 1.11  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.9  2006/10/16 17:30:05  qboosh
- merged Polish xwd(1x) from old XFree86/X11 packages
- use individual dir, more verbose files, release 1

Revision 1.8  2006/01/13 10:00:41  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 17:46:30  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 22:49:13  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- added xwd-man.patch
- added BR: libXmu-devel
- release 0.02

* Tue Aug  9 2005 09:00:24  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
